import $req from '../request';

/**
 * 获取学员详情
 * @param params 请求参数
 */
export const getStudentDetail = (params = {}) => {
  return $req({
    method: 'get',
    url: '/phone/inspectorTeacher/getStuVoByOrderIdAndCourseDate',
    params,
  });
};
/**
 * 获取学员督学报告列表
 * @param data 请求参数
 */
export const getUserReportPage = (data = {}) => {
  return $req({
    method: 'post',
    url: '/phone/inspectorTeacher/getUserReportPage',
    data,
  });
};
/**
 * 获取学员督学报告列表
 * @param params 请求参数
 */
export const getUserInspectorCourseReportInfo = (params = {}) => {
  return $req({
    method: 'get',
    url: '/phone/inspectorTeacher/userInspectorCourseReportInfo',
    params,
  });
};
/**
 * 获取学员学习计划列表
 * @param data
 */
export const queryStudyPlanList = (data = {}) => {
  return $req({
    method: 'post',
    url: '/phone/inspectorTeacher/queryStuPlanPage',
    data,
  });
};
/**
 * 删除学员学习计划
 * @param planId 学习计划id
 */
export const deletePlanRequest = (planId: string) => {
  return $req({
    method: 'post',
    url: `/phone/inspectorTeacher/deletePlanById?planId=${planId}`,
  });
};
/**
 * 获取学科列表
 * @param gradeId 年级id
 */
export const getSubjectListByGrade = (gradeId: string) => {
  return $req({
    method: 'get',
    url: `/subject/list/${gradeId}`,
  });
};
/**
 * 获取学员学习时长统计
 * @param params
 */
export const queryStudyDuration = (params = {}) => {
  return $req({
    method: 'get',
    url: '/userSubjectReport/study/duration',
    params,
  });
};
/**
 * 获取学员视频学习统计
 * @param params
 */
export const queryVideoStudy = (params = {}) => {
  return $req({
    method: 'get',
    url: '/userSubjectReport/study/video',
    params,
  });
};
/**
 * 获取学员知识点学习统计
 * @param params
 */
export const queryStudyKnowledge = (params = {}) => {
  return $req({
    method: 'get',
    url: '/userSubjectReport/study/knowledge',
    params,
  });
};

/**
 * 获取学员错题学习统计
 * @param params
 */
export const queryStudentWrongQuestion = (params = {}) => {
  return $req({
    method: 'get',
    url: '/userSubjectReport/study/error',
    params,
  });
};
