import $req from '../request';
/**
 * 学情报告-学科目录
 * @param data 请求参数
 */
export const subjectApi = (gradeId: string) =>
    $req({
        method: 'get',
        url: `/subject/list/${gradeId}`,
    });
/**
 * 学情报告-学习时长统计
 * @param data 请求参数
 */
export const studyTimeStatApi = (params: anyobj) =>
    $req({
        method: 'get',
        url: '/userSubjectReport/study/duration',
        params,
    });
/**
 * 学情报告-视频学习统计
 * @param data 请求参数
 */
export const videoStudyStatApi = (params: anyobj) =>
    $req({
        method: 'get',
        url: '/userSubjectReport/study/video',
        params,
    });
/**
 * 学情报告-知识图谱统计
 * @param data 请求参数
 */
export const knowledgeStudyStatApi = (params: anyobj) =>
    $req({
        method: 'get',
        url: '/userSubjectReport/study/knowledge',
        params,
    });
/**
 * 学情报告-错题本统计
 * @param data 请求参数
 */
export const studyErrorStatApi = (params: anyobj) =>
    $req({
        method: 'get',
        url: '/userSubjectReport/study/error',
        params,
    });
/**
 * 学情报告-英语语感统计
 * @param data 请求参数
 */
export const englishLanguageStatApi = (data: anyobj) =>
    $req({
        method: 'post',
        url: '/userSentenceLearn/queryStatListByTimeType',
        data,
    });
