// 学生基本信息
export interface StudentBasicInfoType {
    id?: number;
    stuName?: string;
    stuNo?: string;
    sex?: number;
    gradeId?: number;
    classId?: number;
    birthday?: string;
    idNo?: string;
    origionPlace?: string;
    politicsStatus?: string;
    address?: string;
    gradeName?: string;
    className?: string;
    familyList?: {
        id?: number;
        name?: string;
        phone?: string;
        workUnit?: string;
        sysFamilyDictValue?: number;
    }[];
    education?: number;
    tenantId?: string;
    tenantName?: string;
    experience?: number;
    currentLevelNum?: number;
    vipName?: string;
    vipEndTime?: string;
}
// 等级排名
export interface StudentLevelRankType {
    id: string;
    currentLevelNum: number;
    rankNumInServer: number;
    rankNumInRegion: number;
}
// 语感
export interface SentenceStudyStatusType {
    trainSentenceCorrectRate: number;
    trainSentenceCount: number;
    trainSentenceWordCount: number;
}

// 学科
export interface SubjectType {
    name: string;
    pictureUrl: string;
    subject: string;
    subjectId: string | number;
}
// 学习时长
export interface StudyTimeType {
    cumulativeTimeDuration: number;
    continuousDuration: number;
    studyDurationVoList: [
        {
            totalTimeFree: number;
            totalTimeAi: number;
            totalTimeError: number;
        },
    ];
}
// 视频学习统计
export interface VideoTimeType {
    videoCount: number;
    videoCountRatio: number;
    videoTime: number;
    videoTimeRatio: number;
    videoRecordVoList: {
        studyDate: string;
        videoCount: number;
        videoTime: number;
    }[];
}
